Get recipient details

Get the details of a recipient’s account using the Customer ID and recipient ID as parameters. This call will also return details of inactive recipients.

Authentication: Bearer token required

Authentication

AuthorizationBearer

OAuth 2.0 Bearer token authentication. This API uses OAuth 2.0 Client Credentials flow. Please refer to the Authentication section for detailed information on how to obtain and use your OAuth credentials.

Path parameters

customer_idstringRequired
The unique identifier for the customer whose recipient details you want to retrieve
recipient_idstringRequired
Unique Recipient Identifier

Response

Recipient details retrieved successfully
recipient_idstring
The recipient id used to identify this recipient.
namestring
Name of the recipient as per their bank records.
typeenum

Indicates the recipient type — either “Individual” or “Corporate”.

Allowed values:
countrystring

Recipient’s Country Code in ISO 3166-1 Alpha-3 Country Codes.

statusenum
Status of this recipient.
Allowed values:
emailstring
Email id to which you want to receive the communications.
phone_numberstring
Recipient's phone number.
mobile_numberstring
Recipient's mobile number.
client_reference_idstring
Unique client reference to identify this recipient in future.
payment_referencestring

Optional reference used by certain recipients for payment identification. If provided, include this value in the payment_reference field when creating payments to that recipient.

customer_own_accountenum

Enum: [yes,no]. Added recipient is customer’s own account or not.

Allowed values:
last_updateddatetime
Last modification timestamp.
addressobject
recipient_bank_detailsobject
additional_detailsobject
Additional details for the recipient.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error